#version 330 core
 
// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 vertexPosition_modelspace;

// Values that stay constant for the whole mesh.
uniform mat4 depthMVP;
uniform mat4 modelView;

out vec4 vPosition;

void main()
{
	gl_Position =  depthMVP * vec4(vertexPosition_modelspace,1);
	vPosition = modelView * vec4(vertexPosition_modelspace,1);

}

