#version 330 core

layout(location = 0) in vec3 vertexPosition;

uniform mat4 P, V;
out vec3 texcoords;

void main () {
  texcoords = vertexPosition;
  gl_Position = P * V * vec4 (vertexPosition, 1.0);
}
